VMware Movie Decoder VMnc Codec (CVE-2010-4294) Heap Memory Corruption Vulnerability

Bugtraq ID: 45169
Class: Boundary Condition Error
CVE: CVE-2010-4294
Remote: Yes
Local: No
Published: Dec 02 2010 12:00AM
Updated: Dec 03 2010 05:15PM
Credit: Aaron Portnoy and Logan Brown of TippingPoint DVLabs
Vulnerable: VMWare Workstation 7.1
VMWare Workstation 7.0.1 build 227600
VMWare Workstation 7.0
VMWare Server 2.0.2 Build 203138
VMWare Server 2.0.2
VMWare Server 2.0.1 build 156745
VMWare Server 2.0.1
VMWare Server 2.0
VMWare Player 3.1
VMWare Player 2.5.4
VMWare Player 2.5.3
VMWare Player 2.5.2 build 156735
VMWare Player 2.5.2
VMWare Player 2.5.1
VMWare Player 2.5 build 118166
VMWare Player 3.1
VMWare Player 2.5.4 build 246459
VMWare Player 2.5.3 build 185404
VMWare Movie Decoder 6.5.4
VMWare Movie Decoder 6.5.3
VMWare Movie Decoder 6.5.3 build 185404
Not Vulnerable: VMWare Workstation 7.1.2 build 301548
VMWare Workstation 6.5.3
VMWare Workstation 6.5.2
VMWare Workstation 6.5.1
VMWare Workstation 6.5 build 118166
VMWare Workstation 6.5.5 build 328052
VMWare Workstation 6.5.4 build 246459
VMWare Workstation 6.5.3 build 185404
VMWare Workstation 6.5.2 build 156735
VMWare Player 3.1.2 build 301548
VMWare Player 2.5.5 Build 328052
VMWare Movie Decoder 7.1.2 build 301548
VMWare Movie Decoder 6.5.5 Build 328052


 

Privacy Statement
Copyright 2010, SecurityFocus